## jaxme 0.5.2+dfsg

=== debian/changelog ===
jaxme (0.5.2+dfsg-6) unstable; urgency=low

  * Add OSGi metadata to jar manifests
  * Add Jakub Adam to Uploaders

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 09 Jan 2012 22:28:04 +0100

jaxme (0.5.2+dfsg-5) unstable; urgency=low

  * Team upload.
  * Added build-arch and build-indep targets to d/rules.
  * Merged Build-Depends and Build-Depends-Indep.
  * Bumped Standards-Versions to 3.9.2 - no changes required.
  * Removed Marcus Better from uploaders.  Thanks for your work
    on this package.
  * Bumped debhelper compat to 8.

 -- Niels Thykier <niels@thykier.net>  Sat, 05 Nov 2011 23:19:53 +0100

jaxme (0.5.2+dfsg-4) unstable; urgency=low

  * Team upload.
  * Switch to source format 3.0.
  * Add Depends: ${misc:Depends}.
  * Remove Java runtime dependencies.

 -- Torsten Werner <twerner@debian.org>  Sat, 06 Aug 2011 11:00:35 +0200

jaxme (0.5.2+dfsg-3) unstable; urgency=low

  [ Matthias Klose ]
  * Build using default-jdk. Closes: #508956.
  * JMMarshallerImpl.java, JMUnmarshallerImpl.java: Add methods to support
    OpenJDK6. LP: #337869.
  * Split out a libjaxme-java-doc package. Closes: #513661.

  [ Michael Koch ]
  * Build-Depends on debhelper (>= 7).
  * Replaced dh_clean -k by dh_prep.

  [ Barry deFreese ]
  * Fix doc-base section.
  * Remove the full text of the Apache-2.0 license from debian/copyright.
  * Move to Section: java. Remove duplicate section from binary.
  * Mangle debian version in watch file.
  * Bump Standards Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 03 Nov 2009 22:13:52 +0100

jaxme (0.5.2+dfsg-2) unstable; urgency=low

  * Apply patch to disable MarshallerTest as it is not timezone clean.
    Works with summer time and fails with winter time. Closes: 439488.
  * Updated Standards-Version to 3.7.3.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.

 -- Michael Koch <konqueror@gmx.de>  Fri, 28 Dec 2007 10:07:47 +0100

jaxme (0.5.2+dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #429523.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Mon, 16 Jul 2007 19:24:29 +0200

jaxme (0.5.1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #296117)

 -- Marcus Better <marcus@better.se>  Sun,  1 Oct 2006 11:24:17 +0200
