=== debian/control ===
Source: jaxme
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>,
           Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 8), default-jdk, ant, ant-optional,
               antlr, junit, liblog4j1.2-java, libxerces2-java,
               libxalan2-java, libcommons-codec-java, libhsqldb-java,
               javahelper
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/jaxme/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jaxme/
Homepage: http://ws.apache.org/jaxme/

Package: libjaxme-java
Architecture: all
Depends: ${misc:Depends}, liblog4j1.2-java, libcommons-codec-java
Suggests: libjaxme-java-doc
Description: implementation of the JAXB specification for Java/XML binding
 A Java/XML binding compiler takes as input a schema description. The output 
 is a set of Java classes:
  * A Java bean class compatible with the schema description.
  * An unmarshaller that converts a XML document into the equivalent Java bean.
  * A marshaller that converts the Java bean back into the XML document.
 .
 This package contains an implementation of the JAXB API, the JaxMe
 JavaSource framework for generating Java sources, the JaxMe parser
 for XML schema and the JaxMe Persistence Management layer.

Package: libjaxme-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: libjaxme-java (<= 0.5.2+dfsg-2)
Description: documentation of the JAXB specification for Java/XML binding
 A Java/XML binding compiler takes as input a schema description. The output 
 is a set of Java classes:
  * A Java bean class compatible with the schema description.
  * An unmarshaller that converts a XML document into the equivalent Java bean.
  * A marshaller that converts the Java bean back into the XML document.
 .
 This package contains the documentation for the libjavxme-java package.
