=== debian/rules ===
#!/usr/bin/make -f

export VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\- | cut -f1 -d\+)

JAVA_HOME	:= /usr/lib/jvm/default-java
DEB_JARS_BASE	:= /usr/share/java
JAVACMD  	:= $(JAVA_HOME)/bin/java

DEB_JARS  := ant ant-launcher ant-junit ant-antlr junit xalan2 antlr

DEB_CLASSPATH = $(shell for jar in $(DEB_JARS); do \
		if [ -f "$$jar" ]; then echo -n "$${jar}:"; fi; \
		if [ -f "$$jar".jar ]; then echo -n "$${jar}.jar:"; fi; \
		if [ -f $(DEB_JARS_BASE)/"$$jar" ]; then echo -n "$(DEB_JARS_BASE)/$${jar}:"; fi; \
		if [ -f $(DEB_JARS_BASE)/"$$jar".jar ]; then echo -n "$(DEB_JARS_BASE)/$${jar}.jar:"; fi; \
		done; \
		if [ -f "$(JAVA_HOME)/lib/tools.jar" ]; then echo -n "$(JAVA_HOME)/lib/tools.jar"; fi)

ANT_INVOKE	:= $(JAVACMD) -classpath $(DEB_CLASSPATH) \
		org.apache.tools.ant.Main $(DEB_ANT_ARGS)

PKGNAME		:= libjaxme-java
INSTALLDIR	:= $(CURDIR)/debian/$(PKGNAME)
JAVALIBDIR	:= $(INSTALLDIR)/usr/share/java

build: build-arch build-indep
build-arch: build-stamp check-stamp
build-indep: build-stamp check-stamp
build-stamp:
	dh_testdir
	$(ANT_INVOKE) all javadoc
	touch build-stamp

check-stamp: build-stamp
	dh_testdir
	-$(ANT_INVOKE) test
	touch check-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	$(ANT_INVOKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	mkdir -p $(JAVALIBDIR)
	mkdir -p $(INSTALLDIR)/usr/share/doc/$(PKGNAME)
	mkdir -p $(INSTALLDIR)-doc/usr/share/doc/$(PKGNAME)
	mkdir -p $(INSTALLDIR)-doc/usr/share/doc/$(PKGNAME)-doc
	cp -a build/docs/src/documentation/content/apidocs \
	   $(INSTALLDIR)-doc/usr/share/doc/$(PKGNAME)/api
	ln -sf ../$(PKGNAME)/api \
	  $(INSTALLDIR)-doc/usr/share/doc/$(PKGNAME)-doc/api
	for f in js xs pm api; do \
	  install -m 644 dist/jaxme$$f-$(VERSION).jar $(JAVALIBDIR); \
	  ln -s jaxme$$f-$(VERSION).jar $(JAVALIBDIR)/jaxme$$f.jar; \
	done
	install -m 644 dist/jaxme2-$(VERSION).jar $(JAVALIBDIR)
	ln -s jaxme2-$(VERSION).jar $(JAVALIBDIR)/jaxme2.jar
	jh_manifest
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
