=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://www.apache.org/dist/ws/jaxme/source/ws-jaxme-(.*)-src.tar.gz
